# CollectionFind::groupBy

(No version information available, might only be in Git)

CollectionFind::groupBy — Set grouping criteria

### Description

public mysql_xdevapi\CollectionFind::groupBy ( string `$sort_expr` ) : mysql_xdevapi\CollectionFind

This function can be used to group the result-set by one more columns, frequently this is used with aggregate functions like COUNT,MAX,MIN,SUM etc.

### Parameters

`sort_expr`

  The columns or columns that have to be used for the group operation, this can either be a single string or an array of string arguments, one for each column.

### Return Values

A CollectionFind that can be used for further processing

### Examples

Example #1 mysql_xdevapi\CollectionFind::groupBy() example

`<?php
//Assuming $coll is a valid Collection object
//Extract all the documents from the Collection and group the results by the 'name' field
$res = $coll->find()->groupBy('name')->execute();
?>`